/*)LIBRARY
*/
/*
 * P$NEWFIL - Create a file menu
 */
extern newfil();

p$newfil(name, type, text1, msg1, stat)
char *name;     /* In: default file name  Out: actual file specification */
char *type;     /* In: default file type  Out: new default file type  */
char *text1;    /* Text at top of form or NULL */
char *msg1;     /* Message on line 23 or NULL */
int *stat;      /* 2-word status block */
   {
   int namlen, typlen, t1len, m1len;
   
   namlen = strlen(name);
   typlen = strlen(type);
   t1len = strlen(text1);
   m1len = strlen(msg1);
   call(newfil, 11, stat, name, &namlen, &namlen, type, &typlen, &typlen,
         text1, &t1len, msg1, &m1len);
   if(stat[0] != 1)			/* If EXIT or MAIN SCREEN */
      namlen = typlen = 0;		/* Indicate null lengths */
   else
      {
      name[namlen] = '\0';
      type[typlen] = '\0';
      }
   return(stat[0]);
   }


